# macos 
# requirements:
# xcode 
# brew
# zig version 0.14
# vulkan-utils and vkd3d
#   - this checks glslc and dxc are available
import os
import subprocess

origDir = os.path.abspath(os.path.dirname(__file__))
toolsRoot = os.path.abspath(os.path.join(origDir, '../'))
repoRoot = os.path.abspath(os.path.join(toolsRoot, '../'))

systemPython = 'python3'
if os.

def setup_common():
    # run build shadercross
    shadercrossDir = os.path.abspath(os.path.join(repoRoot, "lib/sdl3/shadercross/"))
    subprocess.run(['python',], cwd=shadercrossDir)
